Updates an organisation on a case

Sample request:

PUT /cases/979989d9-s0m3-4253-9u1d-9f94adb00493/organisations/33fa5892-62c4-4308-abab-b758c37b6b39
{
"name": "Cats Protection",
"registeredCharityNumber": "203644",
"address": {
"buildingNameOrFlatNumber": "National Cat Centre",
"streetName": "Lewes Road",
"city": "Haywards Heath",
"postcode": "RH17 7TT"
},
"contactNumber": "08707708649",
"emailAddress": "[email protected]"
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
uuid
required
Body Params
string
required
length between 0 and 100
roles
array of objects
required
length ≥ 1
roles*
Allowed:
enum
required
Allowed:
individualSignatoryDetails
object
required
boolean | null
required

must be only one signing executor per case

string | null
required
string | null
required
string | null
required
string | null
required
address
object
required
string | null
required
^[0-9]{5,12}$
string | null
required
bankDetails
object
required
string | null
required
entitlement
object
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

204

If an organisation is updated successfully

Language
Credentials
OAuth2
Required Scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json